function init()
	body = FindShape()

	
	if GetBool("savegame.mod.mission.ravine_bridge.complete") then
		--StartLevel("final", "MOD/hub.xml", "hub9")
		SetDescription(body, "loc@DESC_WEATHERROCK9")
		return
	end
	
	if GetBool("savegame.mod.mission.town_cars.complete") then
		SetDescription(body, "loc@DESC_WEATHERROCK9")
		return
	end
	
	if GetBool("savegame.mod.mission.ravine_motivational.complete") then
		SetDescription(body, "loc@DESC_WEATHERROCK8")
		return
	end

	if GetBool("savegame.mod.mission.town_grease.complete") then
		SetDescription(body, "loc@DESC_WEATHERROCK7")
		return
	end

	if GetBool("savegame.mod.mission.ravine_tornado.complete") then
		SetDescription(body, "loc@DESC_WEATHERROCK6")
		SetTag(body, "invisible")
		return
	end
	
	if GetBool("savegame.mod.mission.town_destruction.complete") then
		SetDescription(body, "loc@DESC_WEATHERROCK5")
		return
	end
		
	if GetBool("savegame.mod.mission.ravine_heist.complete") then
		SetDescription(body, "loc@DESC_WEATHERROCK4")
		return
	end
	
	if GetBool("savegame.mod.mission.town_explosive.complete") then
		SetDescription(body, "loc@DESC_WEATHERROCK3")
		return
	end

	
	if GetBool("savegame.mod.mission.town_heist.complete") then
		SetDescription(body, "loc@DESC_WEATHERROCK2")
		return
	else
		SetDescription(body, "loc@DESC_WEATHERROCK9")
	end
end

